# Gimp.Path.stroke_get_points

    @accepts(Gimp.Path, int, gsize, [float], bool)
    @returns(Gimp.PathStrokeType)
    def stroke_get_points(self, stroke_id, num_points, controlpoints, closed):
        # Python wrapper for gimp_path_stroke_get_points()

returns the control points of a stroke.

returns the control points of a stroke. The interpretation of the coordinates returned depends on the type of the stroke. For Gimp 2.4 this is always a bezier stroke, where the coordinates are the control points.

Since 2.4

self

  The path object.

stroke_id

  The stroke ID.

num_points

  The number of floats returned.

controlpoints

  List of the control points for the stroke (x0, y0, x1, y1, ...).

closed

  Whether the stroke is closed or not.

Returns